# opentl::cvprocess::DebugUInt2Float Class Reference

Shader for debugging: allows to convert an unsigned int texture to float OR display the texture on the screen. Derived class from GpuStdShaders. ATTENTION: This TEMPLATE filter works with a source texture of type GL_TEXTURE_RECTANGLE_ARB only! -> pay attention what kind of texture sampler type is used in the shader code. More...

Inherits opentl::cvprocess::GpuStdShaders.

List of all members.

## Public Member Functions
| DebugUInt2Float ()
| Constructor.
virtual void | execute ()
| Standard filter execute function.
void | outputToScreen ()
| Function for direct texture output to screen.
virtual void | prepareExecution (opentl::core::cvdata::TextureGpu &srcTex, opentl::core::cvdata::TextureGpu &dstTex)
| Standard prepareExecution function.
void | prepareExecution (opentl::core::cvdata::TextureGpu &srcTex)
| Prepare execution for direct screen display.
virtual | ~DebugUInt2Float ()
| Destructor.

## Detailed Description

Shader for debugging: allows to convert an unsigned int texture to float OR display the texture on the screen. Derived class from GpuStdShaders. ATTENTION: This TEMPLATE filter works with a source texture of type GL_TEXTURE_RECTANGLE_ARB only! -> pay attention what kind of texture sampler type is used in the shader code.

Author:
  Erwin Roth <eroth@mytum.de>

## Constructor & Destructor Documentation

opentl::cvprocess::DebugUInt2Float::DebugUInt2Float | ( |  | ) |

Constructor.

virtual opentl::cvprocess::DebugUInt2Float::~DebugUInt2Float | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void opentl::cvprocess::DebugUInt2Float::execute | ( |  | ) | `[virtual]`

Standard filter execute function.

Reimplemented from opentl::cvprocess::GpuStdShaders.

void opentl::cvprocess::DebugUInt2Float::outputToScreen | ( |  | ) |

Function for direct texture output to screen.

virtual void opentl::cvprocess::DebugUInt2Float::prepareExecution | ( | opentl::core::cvdata::TextureGpu & | srcTex,
|  | opentl::core::cvdata::TextureGpu & | dstTex |
| ) |  |  | `[virtual]`

Standard prepareExecution function.

Reimplemented from opentl::cvprocess::GpuStdShaders.

void opentl::cvprocess::DebugUInt2Float::prepareExecution | ( | opentl::core::cvdata::TextureGpu & | srcTex | ) |

Prepare execution for direct screen display.